com.trendmicro.ds.platform.rest.object.cloud

## Class CrossAccountRole

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.CrossAccountRole

-     public class CrossAccountRole
      extends java.lang.Object

  Cross Account Role object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossAccountRole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExternalId()` Gets the external Id of the Cross Account Role if it exists.
    `java.lang.String` | `getRoleArn()` Gets the ARN (Amazon Resource Name) of the Cross Account Role.
    `void` | `setExternalId(java.lang.String externalId)` Sets The external Id of the Cross Account Role.
    `void` | `setRoleArn(java.lang.String roleArn)` Sets the ARN (Amazon Resource Name) of the Cross Account Role.
    `CrossAccountRole` | `withExternalId(java.lang.String externalId)`
    `CrossAccountRole` | `withRoleArn(java.lang.String roleArn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrossAccountRole

          public CrossAccountRole()

  - ### Method Detail

    - #### getRoleArn

          public java.lang.String getRoleArn()

      Gets the ARN (Amazon Resource Name) of the Cross Account Role.
      Returns:
        The ARN (Amazon Resource Name) of the Cross Account Role.

    - #### setRoleArn

          public void setRoleArn(java.lang.String roleArn)

      Sets the ARN (Amazon Resource Name) of the Cross Account Role.
      Parameters:
        `roleArn` - the ARN (Amazon Resource Name) of the Cross Account Role.

    - #### getExternalId

          public java.lang.String getExternalId()

      Gets the external Id of the Cross Account Role if it exists.
      Returns:
        The external Id of the Cross Account Role if it exists.

    - #### setExternalId

          public void setExternalId(java.lang.String externalId)

      Sets The external Id of the Cross Account Role.
      Parameters:
        `externalId` - The external Id of the Cross Account Role.

    - #### withRoleArn

          public CrossAccountRole withRoleArn(java.lang.String roleArn)

      Parameters:
        `roleArn` - The ARN (Amazon Resource Name) of the Cross Account Role.
      Returns:
        The updated Cross Account Role object

    - #### withExternalId

          public CrossAccountRole withExternalId(java.lang.String externalId)

      Parameters:
        `externalId` - The external Id of the Cross Account Role.
      Returns:
        The updated Cross Account Role object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.